System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

Components of a designer document can be selected using the method of the . Some types of actions can operate on a selected component or group of selected components. The keeps track of the selection type of the current selection. These selection type identifiers indicate whether the selection was completed using a single click, a mouse down or mouse up selection, whether the selection should replace the previous selection, or use the default selection mode.

Use the enumeration to specify the type of a selection when setting a new selection using the method.

Defines identifiers that indicate the type of a selection.

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.Design.SelectionTypes

  Represents an add selection that adds the selected components to the current selection, maintaining the current set of selected components.

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.Design.SelectionTypes

  Represents a regular selection. The selection service responds to the CTRL and SHIFT keys to support adding or removing components to or from the selection.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("This value has been deprecated. Use SelectionTypes.Primary instead.")
  System.ComponentModel.Design.SelectionTypes To be added

  Represents a selection that occurs when a user clicks a component. If the newly selected component is already selected, it is promoted to be the primary selected component rather than being canceled.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("This value has been deprecated. It is no longer supported.")
  System.ComponentModel.Design.SelectionTypes To be added

  Represents a selection that occurs when the user presses on the mouse button while the mouse pointer is over a component. If the component under the pointer is already selected, it is promoted to become the primary selected component rather than being canceled.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("This value has been deprecated. It is no longer supported.")
  System.ComponentModel.Design.SelectionTypes To be added

  Represents a selection that occurs when the user releases the mouse button immediately after a component has been selected. If the newly selected component is already selected, it is promoted to be the primary selected component rather than being canceled.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("This value has been deprecated. Use SelectionTypes.Auto instead.")
  System.ComponentModel.Design.SelectionTypes To be added

  Represents a regular selection. The selection service responds to the CTRL and SHIFT keys to support adding or removing components to or from the selection.

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.Design.SelectionTypes

  Represents a primary selection that occurs when a user clicks on a component. If a component in the selection list is already selected, the component is promoted to be the primary selection.

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.Design.SelectionTypes

  Represents a remove selection that removes the selected components from the current selection, maintaining the current set of selected components.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.Design.SelectionTypes To be added

  Represents a selection that occurs when the content of a selection is replaced. The selection service replaces the current selection with the replacement.

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.Design.SelectionTypes

  Represents a toggle selection that switches between the current selection and the provided selection. If a component is already selected and is passed into with a selection type of , the component selection will be canceled.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("This value has been deprecated. It is no longer supported.")
  System.ComponentModel.Design.SelectionTypes To be added

  Identifies the valid selection types as , , , , or .